This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1256615 - no available release listed in CLI or GUI when subscribed to satellite.
no available release listed in CLI or GUI when subscribed to satellite.
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 02:44 EDT by qianzhan
Modified: 2017-01-12 10:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-12 10:11:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
no_available_releases_listed.png (233.99 KB, image/png)
2015-08-25 02:44 EDT, qianzhan
no flags Details
rhsm.log (39.94 KB, text/plain)
2015-08-25 02:47 EDT, qianzhan
no flags Details
No_available_release_list_in_GUI.png (129.32 KB, image/png)
2016-04-22 03:14 EDT, qianzhan
no flags Details

  None (edit)
Description qianzhan 2015-08-25 02:44:19 EDT
Description of problem:
no available release listed in CLI or GUI when subscribed to satellite.

Version-Release number of selected component (if applicable):
Satellite-6.1.0-20150812.0

How reproducible:
always

Steps to Reproduce:
1. Register to satellite and auto-attach.

[root@dhcp-128-252 ~]# subscription-manager register --auto-attach
Registering to: satellite-ce67d65f-4e59-431e-95e2-130b9682da0e.novalocal:443/rhsm
Username: admin
Password: 
The system has been registered with ID: ad6fdc36-671e-4924-b316-b4e81d701eb0 

Installed Product Current Status:
Product Name: Red Hat Enterprise Linux Server
Status:       Subscribed


2. List available releases in CLI.

[root@dhcp-128-252 ~]# subscription-manager release --list
No release versions available, please check subscriptions.
[root@dhcp-128-252 ~]# 

3. Check available releases in GUI. The dropdown windown is empty, and please see attachment 'no_available_releases_listed.png'

Actual results:
As step 2 and step 3.

Expected results:
releases should be listed out.

Additional info:
Please see attachment 'rhsm.log'
Comment 1 qianzhan 2015-08-25 02:44:45 EDT
Created attachment 1066742 [details]
no_available_releases_listed.png
Comment 2 qianzhan 2015-08-25 02:47:27 EDT
Created attachment 1066743 [details]
rhsm.log
Comment 4 qianzhan 2016-04-22 03:14:34 EDT
Reopen this bug:

Verifying version:
Satellite-6.2.0-RHEL-6-20160420.1
subscription-manager: 1.16.8-8.el6
python-rhsm: 1.16.6-1.el6

1. Register system and attach the following subscription:

[root@dhcp-128-71 ~]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name:   Red Hat Enterprise Linux for Virtual Datacenters, Standard
                     (DERIVED SKU)
Provides:            Oracle Java (for RHEL Server)
                     Red Hat Developer Toolset (for RHEL Server)
                     Red Hat Software Collections Beta (for RHEL Server)
                     Red Hat Enterprise Linux Server
                     Red Hat Beta
                     Red Hat Software Collections (for RHEL Server)
SKU:                 RH00050
Contract:            10752427
Account:             5584289
Serial:              1486828618239006910
Pool ID:             8ac200b2543bb41201543be456ae030a
Provides Management: Yes
Active:              True
Quantity Used:       1
Service Level:       Standard
Service Type:        L1-L3
Status Details:      Guest has not been reported on any host and is using a
                     temporary unmapped guest subscription.
Subscription Type:   Stackable (Temporary)
Starts:              02/29/2016
Ends:                04/22/2016
System Type:         Virtual


2. List available release by CLI:
[root@dhcp-128-71 ~]# subscription-manager release --list
No release versions available, please check subscriptions.

3. Check the available release by GUI:
Please see attachment 'No_available_release_list_in_GUI.png'
Comment 5 qianzhan 2016-04-22 03:14 EDT
Created attachment 1149655 [details]
No_available_release_list_in_GUI.png
Comment 6 Barnaby Court 2016-04-25 14:25:12 EDT
Looking at the RHSM log file the request to get the releases is being made and returns properly. I'm re-assigning to API as it appears that no value is being returned for the release list.
Comment 7 Bryan Kearney 2016-07-26 15:11:22 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 10 Bryan Kearney 2017-01-12 10:11:59 EST
This is an older bug which I do not envision being fixed in the near term. I am closing this out. If you believe doing so is an issue, please feel free to re-open and provide additional business information. Thank you.

Note You need to log in before you can comment on or make changes to this bug.